#ifndef MARS_MReportFileReadCC
#define MARS_MReportFileReadCC

#ifndef MARS_MReportFileRead
#include "MReportFileRead.h"
#endif

class MReportFileReadCC : public MReportFileRead
{
private:
    Int_t fRunNumber;

    Int_t CheckFileHeader();

public:
    MReportFileReadCC(const char *filename, const char *name=NULL, const char *title=NULL);
    void SetRunNumber(Int_t run) { fRunNumber = run; }

    ClassDef(MReportFileReadCC, 0)// Task to read the central control report file
};

#endif
